package kr.co.vividnext.sodalive.audio_content.playlist.create

import android.app.Service
import android.os.Bundle
import android.view.inputmethod.InputMethodManager
import kr.co.vividnext.sodalive.base.BaseActivity
import kr.co.vividnext.sodalive.common.LoadingDialog
import kr.co.vividnext.sodalive.databinding.ActivityAudioContentPlaylistCreateBinding

class AudioContentPlaylistCreateActivity : BaseActivity<ActivityAudioContentPlaylistCreateBinding>(
    ActivityAudioContentPlaylistCreateBinding::inflate
) {

    private lateinit var imm: InputMethodManager
    private lateinit var loadingDialog: LoadingDialog

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        imm = getSystemService(
            Service.INPUT_METHOD_SERVICE
        ) as InputMethodManager
    }

    override fun setupView() {
        binding.tvBack.text = "새 재생목록 만들기"
        binding.tvBack.setOnClickListener { finish() }

        loadingDialog = LoadingDialog(this, layoutInflater)
    }
}
