package kr.co.vividnext.sodalive.audio_content.playlist.detail

import com.google.gson.annotations.SerializedName

data class GetPlaylistDetailResponse(
    @SerializedName("playlistId") val playlistId: Long,
    @SerializedName("title") val title: String,
    @SerializedName("desc") val desc: String,
    @SerializedName("createdDate") val createdDate: String,
    @SerializedName("contentCount") val contentCount: Int,
    @SerializedName("playlistCoverImageList") val playlistCoverImageList: List<String>,
    @SerializedName("contentList") val contentList: List<AudioContentPlaylistContent>
)

data class AudioContentPlaylistContent(
    @SerializedName("id") val id: Long,
    @SerializedName("title") val title: String,
    @SerializedName("category") val category: String,
    @SerializedName("coverUrl") val coverUrl: String,
    @SerializedName("duration") val duration: String
)
